#
# spec file for package python-akismet
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%define mod_name akismet

Name:           python-%{mod_name}
Version:        0.2.0
Release:        2.2
Url:            http://www.voidspace.org.uk/python/modules.shtml#akismet
Summary:        A Python interface to the Akismet anti comment-spam API.
License:        BSD
Group:          Development/Languages/Python
Source:         %{mod_name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
%if 0%{?suse_version}
%py_requires
%if 0%{?suse_version} > 1110
BuildArch:      noarch
%endif
%endif

%description
A Python interface to the Akismet anti comment-spam API.

%prep
%setup -q -n %{mod_name}-%{version}

%build
export CFLAGS="%{optflags}"
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
# You may have to add additional files here (documentation and binaries mostly)
%python_sitelib/%{mod_name}*
%if 0%{suse_version} > 1010
%python_sitelib/*.egg-info
%endif
%doc README.txt

%changelog
* Sat Mar 26 2011 alexandre@exatati.com.br
- Regenerate spec file with py2pack;
- Bzip2 source file;
- Add README.txt as documentation.
* Thu Apr 29 2010 alexandre@exatati.com.br
- Initial package (0.2.0) for openSUSE.
